version: "3.3"

services:
    django:
        image: registry.gitlab.com/tal.zvon/demoproject/django:latest
        restart: always
        volumes:
            - sockets:/sockets
            - static_files:/code/.static
            - media_files:/code/media
        environment:
            ENVIRONMENT: "${ENVIRONMENT}"
            SENTRY_DSN: "${DJANGO_SENTRY_DSN}"
            SECRET_KEY: "${SECRET_KEY}"
            REDIS_KEY: "${REDIS_KEY}"

    supplier_stock_watcher:
        image: registry.gitlab.com/tal.zvon/demoproject/supplier_stock_watcher:latest
        restart: always
        volumes:
            - $PWD/website/demo_app/management/commands/tools/:/tool_images
        environment:
            API_TOKEN: "4ccef94df2184493fff1c1d09d489688f30cf735"
            ENVIRONMENT: "${ENVIRONMENT}"
            SENTRY_DSN: "${SSW_SENTRY_DSN}"

    nginx:
        image: registry.gitlab.com/tal.zvon/demoproject/nginx:latest
        restart: always
        ports:
            - "80:80"
        volumes:
            - sockets:/sockets
            - static_files:/static
            - media_files:/media

    mysql:
        image: mariadb
        restart: always
        environment:
            MARIADB_RANDOM_ROOT_PASSWORD: "yes"
            MARIADB_DATABASE: demo
            MARIADB_USER: demo-user
            MARIADB_PASSWORD: Hjkh324kjhsj324
        volumes:
            - database:/var/lib/mysql
            - ./conf/mariadb/create_test_django_database.sql:/docker-entrypoint-initdb.d/create_test_django_database.sql

    redis:
        image: redis:7.0.11
        restart: always
        command: redis-server --save 20 1 --loglevel warning --requirepass "${REDIS_KEY}"
        volumes:
            - redis_data:/data

volumes:
    sockets:
    static_files:
    media_files:
    database:
    redis_data:
